/**	azlwEMU.js 
	============================================================
	============================================================
	INTELLECTUAL PROPERTY ADVISORY NOTICE
	azlwEMU.js
	azlighthouse works, llc. Email Utilities Javascript Library.
	Copyright (c) 2005, 2006 azlighthouse works, llc.
	All rights reserved.
	http://www.azlighthouse.com
	Permission to use, redistribute, or modify this code, 
	in whole or in part, is hereby expressely granted PROVIDED 
	this Intellectual Property Advisory Notice is included in 
	any derived works.
	============================================================
	============================================================
	
	============================================================
	============================================================
	azlwEMU.js VERSION 1.0	
	This script library contains various utility functions for 
	email. Complete commented source available at 
	http://www.azlighthouse.com
	============================================================
	============================================================
*/
var azlwEMU_OBFUSCHARS="?`~#$^*(){}[]".split("");var azlwEMU_CLEARAT="@";var azlwEMU_OBFUSAT="_AT_";var azlwEMU_DELIM="|";var azlwEMU_DIVPREFIX="divAZLW_EMU_";var azlwEMU_BYID=(document.getElementById);function azlwEMUreplaceSubStr(strSource,strSearch,strReplace){if(!strSource)return "";if(!strSearch)return strSource;if(!strReplace)strReplace="";var idxPos=strSource.indexOf(strSearch);if(idxPos<0)return strSource;var retVal=strSource;do{retVal=retVal.replace(strSearch,strReplace);idxPos=retVal.indexOf(strSearch);}while(idxPos>=0);return retVal;}function azlwEMUfixDiv(cssClassName){if((!document.getElementById)&&(!document.all)){window.status="Neither document.getElementById() or document.all[] is supported.";return false;}var sWork="";var sLabel="";var sEmail="";var sHREF="";var i=0;if(azlwEMU_BYID){var objDiv=document.getElementById(azlwEMU_DIVPREFIX+i);}else{var objDiv=document.all[azlwEMU_DIVPREFIX+i];}if(!objDiv)return false;while(objDiv){sWork=objDiv.innerHTML;if(sWork!=""){for(j=0;j<=azlwEMU_OBFUSCHARS.length;j++){sWork=sWork.split(azlwEMU_OBFUSCHARS[j]).join("");}sWork=sWork.split(azlwEMU_OBFUSAT).join(azlwEMU_CLEARAT);if(sWork.indexOf(azlwEMU_DELIM)>0){sWork=sWork.split(azlwEMU_DELIM);sLabel=sWork[0];sEmail=sWork[1]}else{sLabel=sWork;sEmail=sWork;}sHREF="<a href='mailto:"+sEmail+"'";if((cssClassName)&&(cssClassName!=""))sHREF+=" class='"+cssClassName+"'";sHREF+=">"+sLabel+"</a>";objDiv.innerHTML=sHREF;if(objDiv.style)objDiv.style.display="inline";}i++;if(azlwEMU_BYID){var objDiv=document.getElementById(azlwEMU_DIVPREFIX+i);}else{var objDiv=document.all[azlwEMU_DIVPREFIX+i];}}return true;}function azlwEMUobfuscateString(SourceValue){var strSource=SourceValue.toString();if((!strSource)||(strSource==""))return "";var retVal="";var j=0;for(var i=0;i<strSource.length;i++){if(j>=azlwEMU_OBFUSCHARS.length)j=0;retVal+=azlwEMU_OBFUSCHARS[j];if(strSource.charAt(i)==azlwEMU_CLEARAT){retVal+=azlwEMU_OBFUSAT;}else{retVal+=strSource.charAt(i);}j++;}if(j>azlwEMU_OBFUSCHARS.length)j=0;retVal+=azlwEMU_OBFUSCHARS[j];return retVal;}function azlwEMUobfuscateMailInfo(idLabels,idEmails,idTarget){if((!idLabels)||(!idEmails)||(!idTarget)){alert("Error: call to function azlwEMUobfuscateMailInfo() is missing required arguments.");return false;}var objLabels=false;var objEmails=false;var objTarget=false;if(azlwEMU_BYID){objLabels=document.getElementById(idLabels);objEmails=document.getElementById(idEmails);objTarget=document.getElementById(idTarget);}else{objLabels=document.all[idLabels];objEmails=document.all[idEmails];objTarget=document.all[idTarget];}if(!objLabels){alert("Error: Document Object Not Found: \n"+idLabels);return false;}if(!objEmails){alert("Error: Document Object Not Found: \n"+idEmails);return false;}if(!objTarget){alert("Error: Document Object Not Found: \n"+idTarget);return false;}var Labels=Trim(objLabels.value);var Emails=Trim(objEmails.value);if(Emails==""){alert("Error: No Email addresses found.");return false;}var arraySearch=new Array(String.fromCharCode(10),String.fromCharCode(13),";",",",azlwEMU_DELIM+azlwEMU_DELIM);for(var i=0;i<arraySearch.length;i++){Labels=azlwEMUreplaceSubStr(Labels,arraySearch[i],azlwEMU_DELIM);Emails=azlwEMUreplaceSubStr(Emails,arraySearch[i],azlwEMU_DELIM);}Emails=Emails.split(azlwEMU_DELIM);for(var i=0;i<Emails.length;i++){Emails[i]=Trim(Emails[i])}Emails=removeEmpties(Emails);if(Labels==""){Labels=new Array(Emails.length);}else{Labels=Labels.split(azlwEMU_DELIM);}Labels.length=Emails.length;for(var i=0;i<Labels.length;i++){if(!Labels[i])Labels[i]="";if(Labels[i].toString()=="undefined")Labels[i]="";if(Labels[i].toString()!="")Labels[i]=Trim(Labels[i]);}var divStart1="<div id=\""+azlwEMU_DIVPREFIX;var divStart2="\" style=\"display:none;\">";var divEnd1="</div><!-- "+azlwEMU_DIVPREFIX;var divEnd2=" -->";var arrayTarget=new Array(Emails.length);var Temp="";var TargetLabel="";var TargetEmail="";for(var i=0;i<Emails.length;i++){TargetLabel=azlwEMUobfuscateString(Labels[i]);TargetEmail=azlwEMUobfuscateString(Emails[i]);if(TargetLabel==""){Temp=TargetEmail;}else{Temp=TargetLabel+azlwEMU_DELIM+TargetEmail;}arrayTarget[i]=divStart1+i+divStart2+Temp+divEnd1+i+divEnd2;}objTarget.value=arrayTarget.join("<br />\n");}function Trim(SourceValue){if(!SourceValue)return "";if(!SourceValue.toString)return "";return LTrim(RTrim(SourceValue.toString()));}function RTrim(SourceValue){var retVal=SourceValue.toString();while((retVal.length>0)&&(retVal.charAt(retVal.length-1)==" "))retVal=retVal.substr(0,retVal.length-1);return retVal;}function LTrim(SourceValue){var retVal=SourceValue.toString();while((retVal.length>0)&&(retVal.charAt(0)==" "))retVal=retVal.substr(1,retVal.length);return retVal;}function removeEmpties(arraySource){var retVal=new Array("");var added=false;for(var i=0;i<arraySource.length;i++){if(arraySource[i].toString()!=""){if(added){retVal[retVal.length-1]=arraySource[i];}else{retVal[0]=arraySource[i];added=true;}retVal[retVal.length]="";}}if(added)retVal.length=retVal.length-1;return retVal;}